ONVIF::Device::Elements::GetCapabilities(3)

NAME
ONVIF::Device::Elements::GetCapabilities

DESCRIPTION
Perl data type class for the XML Schema defined element GetCapabilities from the namespace http://www.onvif.org/ver10/device/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Category

     $element->set_Category($data);
     $element->get_Category();

METHODS

  new
 my $element = ONVIF::Device::Elements::GetCapabilities->new($data);

Constructor. The following data structure may be passed to new():

 {
   Category => $some_value, # CapabilityCategory
 },

AUTHOR
Generated by SOAP::WSDL